org.apache.xml.serializer.utils

## Class SerializerMessages_sl

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.apache.xml.serializer.utils.SerializerMessages_sl

-     public class SerializerMessages_sl
      extends java.util.ListResourceBundle

  An instance of this class is a ListResourceBundle that has the required getContents() method that returns an array of message-key/message associations.

  The message keys are defined in `MsgKey`. The messages that those keys map to are defined here.

  The messages in the English version are intended to be translated. This class is not a public API, it is only public because it is used in org.apache.xml.serializer.

  Usage:
    **For internal use only**

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializerMessages_sl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[][]` | `getContents()` The lookup table for error messages.

    - ### Methods inherited from class java.util.ListResourceBundle

      `getKeys, handleGetObject`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializerMessages_sl

          public SerializerMessages_sl()

  - ### Method Detail

    - #### getContents

          public java.lang.Object[][] getContents()

      The lookup table for error messages.
      Specified by:
        `getContents` in class `java.util.ListResourceBundle`

Copyright © 2023 Apache XML Project. All Rights Reserved.